#
# spec file for package python-msk
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-msk
Version:        0.3.14
Release:        lp152.2.1
Summary:        Mycroft Skills Kit
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/MycroftAI/mycroft-skills-kit
Source:         https://files.pythonhosted.org/packages/source/m/msk/msk-%{version}.tar.gz
Source99:       https://raw.githubusercontent.com/MycroftAI/mycroft-skills-kit/master/LICENSE
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-GitPython
Requires:       python-PyGithub
Requires:       python-msm >= 0.5.13
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch
%ifpython2
Requires:       python-typing
%endif
%python_subpackages

%description
Mycroft Skills Kit python module.

%prep
%setup -q -n msk-%{version}
sed -i -e "s/\(install_requires.*\)'typing',/\1/" setup.py
cp %{SOURCE99} .

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/msk
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative msk

%postun
%python_uninstall_alternative msk

%files %{python_files}
%license LICENSE
%doc README.md
%python_alternative %{_bindir}/msk
%{python_sitelib}/*

%changelog
* Mon May 25 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Wed Jan 22 2020 Martin Sirringhaus <martin.sirringhaus@suse.com>
- Update to 0.3.14:
  * Colorize
  * Add License selection
  * Fix github passwords containing "
  * Add basic manifest
  * generate locale dir instead of dialog/vocab dirs
* Tue Jul 23 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.3.13:
  * no upstream changelog
* Sun Nov 25 2018 Antonio Larrosa <alarrosa@suse.com>
- Update to msk 0.3.12
  * Support locale folder
  * Add upload description from about
  * Fix issue with spaces in filenames in add_to_repo
  * Add submit action with upload and upgrade aliases
- Drop fix-dependencies.patch and replace it with a sed call since
  otherwise the patch has to be fixed for every version update.
* Thu Nov  1 2018 Antonio Larrosa <alarrosa@suse.com>
- Update to msk 0.3.11
  * Support changing msk branch via command line
  * Add alternative upgrade example
  * Add titles to README sections for permalinking
  * Change skill branch naming convention to not use slashes
  * Support git injector with token
  * Support token authentication
* Mon Jul 30 2018 tchvatal@suse.com
- install license
- Drop devel dependency
- Require typing only on python2
* Sat Jul 28 2018 alarrosa@suse.com
- Add fix-dependencies.patch, which fixes the typing dependency, not
  actually needed in python3
* Sun Jul  1 2018 alarrosa@suse.com
- Initial release of python-msk 0.3.10
